> ## Documentation Index
> Fetch the complete documentation index at: https://docs.commvoice.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get v1smstextsgenerate



## OpenAPI

````yaml https://api.comm.com/docs/api.json get /v1/sms/texts/generate/{smsCampaignText}
openapi: 3.1.0
info:
  title: Commvoice API
  version: '1'
servers:
  - url: https://api.comm.com/api
    description: Live
security:
  - http: []
paths:
  /v1/sms/texts/generate/{smsCampaignText}:
    get:
      tags:
        - SmsTextsGenerate
      operationId: sms.index
      parameters:
        - name: smsCampaignText
          in: path
          required: true
          description: The sms campaign text ID
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Array of `GeneratedTextsResource`
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/GeneratedTextsResource'
                required:
                  - data
        '400':
          description: An error
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Error overview.
                    example: ''
                required:
                  - message
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  schemas:
    GeneratedTextsResource:
      type: object
      properties:
        id:
          type: string
        text:
          type: string
        times_used:
          type: integer
        is_active:
          type: boolean
        stats:
          type: object
          description: Stats array structure
          properties:
            sent:
              type: integer
            clicks:
              type: integer
            leads:
              type: integer
            sales:
              type: integer
      required:
        - id
        - text
        - times_used
        - is_active
        - stats
      title: GeneratedTextsResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    http:
      type: http
      scheme: bearer
      bearerFormat: JWT

````